/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * ProductsValueCriterion
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ProductsValueCriterion {
  @SerializedName("types")
  private Types types = null;

  @SerializedName("values")
  private Values values = null;

  public ProductsValueCriterion types(Types types) {
    this.types = types;
    return this;
  }

   /**
   * Get types
   * @return types
  **/
  @ApiModelProperty(value = "")
  public Types getTypes() {
    return types;
  }

  public void setTypes(Types types) {
    this.types = types;
  }

  public ProductsValueCriterion values(Values values) {
    this.values = values;
    return this;
  }

   /**
   * Get values
   * @return values
  **/
  @ApiModelProperty(value = "")
  public Values getValues() {
    return values;
  }

  public void setValues(Values values) {
    this.values = values;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ProductsValueCriterion productsValueCriterion = (ProductsValueCriterion) o;
    return Objects.equals(this.types, productsValueCriterion.types) &&
        Objects.equals(this.values, productsValueCriterion.values);
  }

  @Override
  public int hashCode() {
    return Objects.hash(types, values);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ProductsValueCriterion {\n");
    
    sb.append("    types: ").append(toIndentedString(types)).append("\n");
    sb.append("    values: ").append(toIndentedString(values)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

